import { authOptions } from '@/lib/authOptions'
import { getServerSession } from 'next-auth'
import LogoutButton from './LogoutButton';
import LoginButton from './LoginButton';
import Link from 'next/link';

const Header = async () => {
    const session = await getServerSession(authOptions);
  return (
    <header className="p-4 border border-b-[#9BBEC8] px-10">
        <div className='flex justify-between items-center'>
            <Link href="/" className="logo">Task Management</Link>
            <div>
                {session && (
                    <>
                        Hello, {session?.user?.name}
                        <LogoutButton/>
                    </>
                )}
                {!session && (
                    <>
                        Not logged in
                        <LoginButton/>
                    </>
                )}
            </div>
        </div>
    </header>
  )
}

export default Header